Paid version Linux native

Do you have a question you want to ask an existing QCAD user about QCAD and what you can do with it? Do you want to know if a particular feature exists? This is the place to ask.

Moderator: andrew

Post Reply
Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Paid version Linux native

Post by Maystor » Sun Jan 26, 2020 10:12 pm

Hi,

I tested QCad and this is very nice !
The tested version, in Linux, is deal with embedded library, but i want to know if the paid version can be used linked with the system libraries (i use Fedora).

I ask this because i can't configure the interface with my wants (for example, we can't change font size in combobox or other), to integrate with my Fedora (GTK3).

Thanks and congratulation for your good job ! Keep it up !

User avatar
andrew
Site Admin
Posts: 6783
Joined: Fri Mar 30, 2007 6:07 am

Re: Paid version Linux native

Post by andrew » Mon Jan 27, 2020 10:14 am

Thanks for your feedback.

QCAD links in Qt dynamically. You can use your own downloaded or compiled Qt libraries if you prefer. Simply remove the Qt libraries that come with QCAD from its installation directory or replace them. The Qt version used must be binary compatible.

Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Re: Paid version Linux native

Post by Maystor » Tue Jan 28, 2020 6:54 am

Thanks for your answer. The demo is installated in "~/opt/. Can we choose where it will be in paid version ?

User avatar
andrew
Site Admin
Posts: 6783
Joined: Fri Mar 30, 2007 6:07 am

Re: Paid version Linux native

Post by andrew » Tue Jan 28, 2020 8:41 am

You might want to download the tar.gz package which can be extracted and run from anywhere on disc.

Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Re: Paid version Linux native

Post by Maystor » Wed Jan 29, 2020 5:58 am

OK thanks.

I tried to delete embedded Qt librairies but qcad doesn't work in this way. My distro (Fedora) uses Qt 5.13, which is compatible with wayland.

User avatar
andrew
Site Admin
Posts: 6783
Joined: Fri Mar 30, 2007 6:07 am

Re: Paid version Linux native

Post by andrew » Wed Jan 29, 2020 8:25 am

Which QCAD package did you download and install? The standard package uses Qt 5.8 (not binary compatible with Qt 5.13).

Note that there's also a 64bit package that links to Qt 5.13. Have a look on your download page.

Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Re: Paid version Linux native

Post by Maystor » Thu Jan 30, 2020 6:08 am

I see a tar.gz version to download, i was used the pre packed installer before.

I see the script "qcad-bin" is to linking librairies by exporting paths.

See libraries linking for the binary "qcad" :

Code: Select all

$ ldd qcad-bin 
	linux-vdso.so.1 (0x00007ffdf57ad000)
	libqcadecmaapi.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadecmaapi.so (0x00007f599a3f9000)
	libqcadentity.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadentity.so (0x00007f599a0ca000)
	libqcadcore.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadcore.so (0x00007f599991c000)
	libQt5Core.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Core.so.5 (0x00007f59991fc000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007f5998fcc000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f5998fb2000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f5998de7000)
	libqcadgrid.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadgrid.so (0x00007f5998bdc000)
	libqcadgui.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadgui.so (0x00007f5998940000)
	libqcadoperations.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadoperations.so (0x00007f5998719000)
	libqcadsnap.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadsnap.so (0x00007f5998504000)
	libqcadspatialindex.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadspatialindex.so (0x00007f59982f4000)
	libqcadstemmer.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libqcadstemmer.so (0x00007f59980c5000)
	libQt5PrintSupport.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5PrintSupport.so.5 (0x00007f5997e57000)
	libQt5Widgets.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Widgets.so.5 (0x00007f5997626000)
	libQt5Gui.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Gui.so.5 (0x00007f5996e8b000)
	libQt5Script.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Script.so.5 (0x00007f5996a03000)
	libQt5ScriptTools.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5ScriptTools.so.5 (0x00007f5996733000)
	libQt5Network.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Network.so.5 (0x00007f59963ad000)
	libQt5Xml.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Xml.so.5 (0x00007f5996173000)
	libm.so.6 => /lib64/libm.so.6 (0x00007f599602d000)
	libQt5Svg.so.5 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libQt5Svg.so.5 (0x00007f5995dda000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f5995db6000)
	libicui18n.so.56 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libicui18n.so.56 (0x00007f599591d000)
	libicuuc.so.56 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libicuuc.so.56 (0x00007f5995565000)
	libicudata.so.56 => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libicudata.so.56 (0x00007f5993b82000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f5993b7b000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f5993b70000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f5993b54000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f5993b4f000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f5993a27000)
	/lib64/ld-linux-x86-64.so.2 (0x00007f599b8df000)
	libspatialindexnavel.so => /home/maystor/Téléchargements/qcad-3.24.2-trial-linux-x86_64/./libspatialindexnavel.so (0x00007f59937af000)
	libGL.so.1 => /lib64/libGL.so.1 (0x00007f599371b000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007f59936a5000)
	libGLX.so.0 => /lib64/libGLX.so.0 (0x00007f5993671000)
	libX11.so.6 => /lib64/libX11.so.6 (0x00007f599352b000)
	libXext.so.6 => /lib64/libXext.so.6 (0x00007f5993516000)
	libGLdispatch.so.0 => /lib64/libGLdispatch.so.0 (0x00007f5993459000)
	libxcb.so.1 => /lib64/libxcb.so.1 (0x00007f599342c000)
	libXau.so.6 => /lib64/libXau.so.6 (0x00007f5993426000)

User avatar
andrew
Site Admin
Posts: 6783
Joined: Fri Mar 30, 2007 6:07 am

Re: Paid version Linux native

Post by andrew » Mon Feb 03, 2020 8:36 am

You can download the trial package, linked against Qt 5.13 from:
https://qcad.org/archives/qcad/qcad-3.2 ... x86_64.run

Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Re: Paid version Linux native

Post by Maystor » Tue Feb 04, 2020 7:06 am

Thanks ! Any possibilty to install to another path ? For example /usr/local/bin ?

User avatar
andrew
Site Admin
Posts: 6783
Joined: Fri Mar 30, 2007 6:07 am

Re: Paid version Linux native

Post by andrew » Tue Feb 04, 2020 1:36 pm

For other paths, you may want to use the tar.gz:
https://qcad.org/archives/qcad/qcad-3.2 ... _64.tar.gz

Maystor
Newbie Member
Posts: 7
Joined: Sun Jan 26, 2020 10:07 pm

Re: Paid version Linux native

Post by Maystor » Wed Feb 05, 2020 8:12 pm

Cudos !! ;)

Post Reply

Return to “Pre-sales Questions”